SummaryRefsLogTreeCommitDiffStats
path: root/tests/basic.sh
diff options
context:
space:
mode:
authorMathieu Lirzin <mthl@gnu.org>2017-09-28 17:59:40 +0200
committerMathieu Lirzin <mthl@gnu.org>2017-09-28 18:48:49 +0200
commitc285d36ab2a48f09c14655a0dcec5895700fe4dd (patch)
tree3931d2f71d8eb75dc142085dc820057f537e3c2e /tests/basic.sh
parent811ad9167a0dc4fe9e13dd20d534d477469dc682 (diff)
downloadmcron-c285d36ab2a48f09c14655a0dcec5895700fe4dd.tar.gz
mcron-c285d36ab2a48f09c14655a0dcec5895700fe4dd.tar.bz2
mcron-c285d36ab2a48f09c14655a0dcec5895700fe4dd.zip
tests: Add 'basic.sh'
* tests/init.sh: New test framework from Gnulib. * tests/basic.sh: New test. * Makefile.am (TESTS): Add it. (TEST_EXTENSIONS): Add '.sh'. (SH_LOG_COMPILER): Use 'pre-inst-env'. (EXTRA_DIST): Add 'tests/init.sh'. * build-aux/pre-inst-env.in: export $srcdir for shell tests.
Diffstat (limited to 'tests/basic.sh')
-rw-r--r--tests/basic.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/tests/basic.sh b/tests/basic.sh
new file mode 100644
index 0000000..07b664b
--- /dev/null
+++ b/tests/basic.sh
@@ -0,0 +1,33 @@
+# basic.sh -- basic tests for mcron
+# Copyright © 2017 Mathieu Lirzin <mthl@gnu.org>
+#
+# This file is part of GNU Mcron.
+#
+# GNU Mcron is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# GNU Mcron is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with GNU Mcron. If not, see <http://www.gnu.org/licenses/>.
+
+source "${srcdir}/tests/init.sh"
+
+# Use current working directory to store mcron files
+XDG_CONFIG_HOME=`pwd`
+export XDG_CONFIG_HOME
+
+mkdir cron
+cat > cron/foo.guile <<EOF
+(job '(next-second) '(display "foo\n"))
+EOF
+
+mcron --schedule=1 > "output$$"
+grep -e "foo" "output$$" || fail_ "'foo.guile' job is not scheduled"
+
+Exit 0